<section class="form-field">
  <div class="form">
    <form [formGroup]="loginForm">
      <div class="field">
        <div class="control">
          <label for="name" class="label">Username:</label>
          <input
            name="name"
            type="text"
            class="input"
            placeholder="Username"
            formControlName="username"
            [class.is-danger]="loginForm.controls.username.status === 'INVALID'"
            [class.is-success]="loginForm.controls.username.status === 'VALID'"
          />
        </div>
      </div>

      <div class="field">
        <div class="control">
          <label for="password" class="label">Password:</label>
          <input
            name="password"
            type="password"
            class="input"
            placeholder="Password"
            formControlName="password"
            [class.is-danger]="loginForm.controls.password.status === 'INVALID'"
            [class.is-success]="loginForm.controls.password.status === 'VALID'"
          />
        </div>
      </div>
      <div class="control">
        <button
          class="button is-primary"
          (click)="getLoginResponse(loginForm)"
          [disabled]="!loginForm.valid"
          [class.is-disabled]="!loginForm.valid"
        >
          Log in
        </button>
      </div>
    </form>
  </div>
</section>
